/**
 * 徐祥健<xuxj@hugeinfo.com.cn>
 * 2018年7月23日 09:23
 *
 */


import React from 'react';
import BusList from './BusList';
import Fetch from '../fetch';
export default class List extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      total: '',
      notRead: '',
      contact: []
    };
  }

  componentDidMount() {
    const {type}=this.props.match.params;
  }
  titleOfType(type){
    if (type === 'onlineAppeal') {
      return '在线申诉';
    } else if (type === 'stateCompen'){
      return '国家赔偿';
    }else if (type === 'appointment'){
      return '信访预约';
    }else if (type === 'judicialRelief'){
      return '司法救助';
    }else if (type === 'caseProgress'){
      return '案件进度';
    }
    return 'Unkown';
  }
  render() {
    const {type}=this.props.match.params;
    const title=this.titleOfType(type);
    const { total, notRead, contact } = this.state;
    const sed = "业务管理";
    return (
      <BusList title={title} local={title} type={type}  total={total} notRead={notRead} contact={contact} sed={sed}  history ={this.props.history}/>
    );
  }

}
